<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/SymbolLookup/TypeError.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::SymbolLookup::TypeError</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../SymbolLookup.html" >SymbolLookup</a>
</div><div class="class-name">struct TypeError

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/SymbolLookup/Scope.hh.html" target="detail">../Synopsis/SymbolLookup/Scope.hh</a></div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypeError" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line18" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="TypeError-inheritance" src="TypeError-inheritance.png" hspace="8" vspace="8" border="0" usemap="#TypeError-inheritance_map" />
<map name="TypeError-inheritance_map"></map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="TypeError_lconst.PTree_mEncoding_A_cconst.PTree_mEncoding_A_r">TypeError</a>(const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp; <span class="variable">n</span>, const&#160;<a href="../PTree/Encoding.html" >PTree::Encoding</a>&amp; <span class="variable">t</span>)  </div> <div class="xref"></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line20" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;<i>destructor</i> <a class="name" id="_tTypeError_l_r">~TypeError</a>()  </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypeError_m_tTypeError_l_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line22" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;const&#160;char* <a class="name" id="what_l_rconst">what</a>() <span class="keyword">const</span> </div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypeError_mwhat_l_rconst" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line23" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Public Data members Summary:</div>
<div class="item"><div class="synopsis"><a href="../PTree/Encoding.html" >PTree::Encoding</a> <a class="name" id="name">name</a></div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypeError_mname" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line24" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><a href="../PTree/Encoding.html" >PTree::Encoding</a> <a class="name" id="type">type</a></div> <div class="xref"><a href="../../../XRef/xref26.html#Synopsis_mSymbolLookup_mTypeError_mtype" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/SymbolLookup/Scope.hh.html#line25" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:27:56 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
